org.firebirdsql.jaybird.parser

## Enum LocalStatementType

- java.lang.Object
- - java.lang.Enum<LocalStatementType>
  - - org.firebirdsql.jaybird.parser.LocalStatementType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LocalStatementType>

      @InternalApi
      public enum LocalStatementType
      extends java.lang.Enum<LocalStatementType>

  Statement types.

  NOTE: Jaybird may take shortcuts during detection (e.g. only look at first keyword), so an invalid statement might be classified anyway.

  The types of this enum are decided by the needs of Jaybird, and do not necessarily cover all statement types.

  Since:
    5
  Author:
    Mark Rotteveel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE` `DELETE` statement
    `EXECUTE_PROCEDURE` `EXECUTE PROCEDURE` statement.
    `INSERT` `INSERT` statement
    `MERGE` `MERGE` statement
    `OTHER` No specific classification applied (i.e.
    `SELECT` `SELECT` statement, including selectable stored procedures.
    `UNKNOWN` Null-state before detection.
    `UPDATE` `UPDATE` statement (or `UPDATE OR INSERT` before detection is complete)
    `UPDATE_OR_INSERT` `UPDATE OR INSERT` statement

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalStatementType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LocalStatementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final LocalStatementType UNKNOWN

      Null-state before detection.

    - #### SELECT

          public static final LocalStatementType SELECT

      `SELECT` statement, including selectable stored procedures.

    - #### EXECUTE_PROCEDURE

          public static final LocalStatementType EXECUTE_PROCEDURE

      `EXECUTE PROCEDURE` statement.

    - #### UPDATE

          public static final LocalStatementType UPDATE

      `UPDATE` statement (or `UPDATE OR INSERT` before detection is complete)

    - #### DELETE

          public static final LocalStatementType DELETE

      `DELETE` statement

    - #### INSERT

          public static final LocalStatementType INSERT

      `INSERT` statement

    - #### UPDATE_OR_INSERT

          public static final LocalStatementType UPDATE_OR_INSERT

      `UPDATE OR INSERT` statement

    - #### MERGE

          public static final LocalStatementType MERGE

      `MERGE` statement

    - #### OTHER

          public static final LocalStatementType OTHER

      No specific classification applied (i.e. Jaybird is not (yet) interested in this type), or detection failed.

  - ### Method Detail

    - #### values

          public static LocalStatementType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LocalStatementType c : LocalStatementType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LocalStatementType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.